%define upstream_name    Digest
%define upstream_version 1.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Calculate digests of files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
The 'Digest::' modules calculate digests, also called "fingerprints" or
"hashes", of some data, called a message. The digest is (usually) some
small/fixed size string. The actual size of the digest depend of the
algorithm used. The message is simply a sequence of arbitrary bytes or
bits.

An important property of the digest algorithms is that the digest is
_likely_ to change if the message change in some way. Another property is
that digest functions are one-way functions, that is it should be _hard_ to
find a message that correspond to some given digest. Algorithms differ in
how "likely" and how "hard", as well as how efficient they are to compute.

Note that the properties of the algorithms change over time, as the
algorithms are analyzed and machines grow faster. If your application for
instance depends on it being "impossible" to generate the same digest for a
different message it is wise to make it easy to plug in stronger algorithms
as the one used grow weaker. Using the interface documented here should
make it easy to change algorithms later.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.170.0-6.mga5
+ Revision: 742551
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.170.0-5.mga5
+ Revision: 684356
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.170.0-4.mga4
+ Revision: 510878
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.170.0-3.mga3
+ Revision: 365917
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 04 2011 jquelin <jquelin> 1.170.0-2.mga2
+ Revision: 162801
- take priority over module bundled with perl 5.14.2

* Thu Oct 13 2011 jquelin <jquelin> 1.170.0-1.mga2
+ Revision: 154256
- update to 1.17

* Sat Jan 22 2011 jquelin <jquelin> 1.160.0-2.mga1
+ Revision: 31928
- mageia rebuild
- imported package perl-Digest

